## knights 19.12.3

=== CMakeLists.txt ===
project(Knights)

cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.30.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

if(CMAKE_COMPILER_IS_GNUCXX)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wpointer-arith -Wunreachable-code -fno-omit-frame-pointer -fstack-protector") 
endif(CMAKE_COMPILER_IS_GNUCXX)

#set(CMAKE_CXX_FLAGS_PROFILE "-fprofile-arcs -ftest-coverage -pg")

include(FeatureSummary)
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
   Concurrent
   Core
   Gui
   Widgets
   Svg
)

find_package(Qt5TextToSpeech ${QT_REQUIRED_VERSION} QUIET)
set_package_properties(Qt5TextToSpeech PROPERTIES
   PURPOSE "Speaking of opponents moves")
if (Qt5TextToSpeech_FOUND)
   add_definitions(-DHAVE_SPEECH)
endif ()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
  DBusAddons
  ConfigWidgets
  Crash
  TextWidgets
  XmlGui
  KIO
  Plotting
  DocTools
  Wallet
  Plasma
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()
if (${KF5Config_VERSION} STRGREATER "5.56.0")
        add_definitions(-DQT_NO_FOREACH)
        MESSAGE(STATUS "compile without foreach")
endif()
add_subdirectory(doc)
add_subdirectory(icons)
add_subdirectory(sounds)
add_subdirectory(src)
add_subdirectory(themes)

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES knights.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES knights.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== sounds/CMakeLists.txt ===
install(FILES
	capture_white.ogg
	capture_black.ogg
	move_white.ogg
	move_black.ogg
	DESTINATION ${DATA_INSTALL_DIR}/knights/sounds)

=== src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
)

set(knights_SRCS
    core/pos.cpp
    core/move.cpp
    core/item.cpp
    core/piece.cpp

    proto/protocol.cpp
    proto/localprotocol.cpp
    proto/textprotocol.cpp
    proto/ficsprotocol.cpp
    proto/computerprotocol.cpp
    proto/xboardprotocol.cpp
    proto/uciprotocol.cpp
    
    proto/seekgraph.cpp
    proto/chatwidget.cpp
    proto/ficsdialog.cpp
    
    rules/chessrules.cpp

    difficultydialog.cpp
    gamedialog.cpp
    offerwidget.cpp
    clock.cpp
    clockwidget.cpp
    historywidget.cpp
    enginesettings.cpp
    
    externalcontrol.cpp
    gamemanager.cpp
    
    board.cpp
    knightsview.cpp
    knights.cpp
    main.cpp
 )

ki18n_wrap_ui(knights_SRCS
    knightsview_base.ui
    prefs_base.ui
    prefs_access.ui
    gamedialog.ui
    clockwidget.ui
    historywidget.ui
    promotiondialog.ui
    proto/ficsdialog.ui
    proto/chatwidget.ui
    popup.ui
    enginesettings.ui
    customdifficultydialog.ui
)

kconfig_add_kcfg_files(knights_SRCS settings.kcfgc )
qt5_add_dbus_adaptor(knights_SRCS org.kde.Knights.xml externalcontrol.h Knights::ExternalControl)
ecm_qt_declare_logging_category(knights_SRCS HEADER knightsdebug.h IDENTIFIER LOG_KNIGHTS CATEGORY_NAME log_knights)

file(GLOB ICON_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-knights.png")
ecm_add_app_icon(knights_SRCS ICONS ${ICON_SRCS})
add_executable(knights ${knights_SRCS})

if (Qt5TextToSpeech_FOUND)
  target_link_libraries(knights
        Qt5::TextToSpeech)
endif()

target_link_libraries(knights
     Qt5::Network
     Qt5::Svg
     Qt5::Gui
     Qt5::Concurrent
     KF5::Crash
     KF5::Solid
     KF5::WidgetsAddons
     KF5::DBusAddons
     KF5::XmlGui
     KF5KDEGames
     KF5::Plotting
     KF5::Plasma
     KF5::Completion
     KF5::TextWidgets
     KF5::Wallet)

install(TARGETS knights ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( PROGRAMS org.kde.knights.desktop  DESTINATION ${KDE_INSTALL_APPDIR} )
install( FILES knights.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES knightsui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/knights )
install( FILES knights.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
install( FILES org.kde.Knights.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
install( FILES org.kde.knights.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== debian/changelog ===
knights (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:12:11 +0000

knights (19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:22:13 +0000

knights (19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:56:22 +0000

knights (19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:50:03 +0000

knights (19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:34:43 +0000

=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cmake (>= 3.2.0),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4:19.12.3~),
               libkf5kio-dev (>= 5.30.0~),
               libkf5plasma-dev (>= 5.30.0~),
               libkf5plotting-dev (>= 5.30.0~),
               libkf5textwidgets-dev (>= 5.30.0~),
               libkf5wallet-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               libqt5svg5-dev (>= 5.7.0~),
               libqt5texttospeech5-dev (>= 5.7.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.2.1
Homepage: https://www.kde.org/applications/games/knights/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knights
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knights.git

Package: knights
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuchess, stockfish, sjeng
Suggests: crafty
Description: chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer.
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.

## knights 20.08.1

=== debian/changelog ===
knights (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:56:28 +0100

knights (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:49:04 +0100

knights (20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Unregister knights.categories as conffile, as it is no more in /etc.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 14:49:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: cmake (>= 3.2.0),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.30.0~),
                libkf5configwidgets-dev (>= 5.30.0~),
                libkf5crash-dev (>= 5.30.0~),
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.12.3~),
+               libkf5kdegames-dev (>= 4:20.08.1~),
                libkf5kio-dev (>= 5.30.0~),
                libkf5plasma-dev (>= 5.30.0~),
                libkf5plotting-dev (>= 5.30.0~),
@@ -21,7 +21,8 @@
                libqt5texttospeech5-dev (>= 5.7.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/games/knights/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knights
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knights.git

## knights 20.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,27 @@
-project(Knights)
+cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+# Release Service version, managed by release script
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
+
+# Bump KNIGHTS_BASE_VERSION once new features are added
+set(KNIGHTS_BASE_VERSION "2.6")
+set(KNIGHTS_VERSION "${KNIGHTS_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")
+
+project(Knights VERSION ${KNIGHTS_VERSION})
+
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set (QT_MIN_VERSION "5.7.0")
-set (KF5_MIN_VERSION "5.30.0")
+set (QT_MIN_VERSION "5.10.0")
+set (KF5_MIN_VERSION "5.57.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
 
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 if(CMAKE_COMPILER_IS_GNUCXX)
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wpointer-arith -Wunreachable-code -fno-omit-frame-pointer -fstack-protector") 
@@ -56,15 +67,15 @@
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
+include(ECMSetupVersion)
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
-endif()
-if (${KF5Config_VERSION} STRGREATER "5.56.0")
-        add_definitions(-DQT_NO_FOREACH)
-        MESSAGE(STATUS "compile without foreach")
-endif()
+add_definitions(
+    -DQT_NO_FOREACH
+    -DQT_NO_KEYWORDS
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050A00
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053900
+)
+
 add_subdirectory(doc)
 add_subdirectory(icons)
 add_subdirectory(sounds)
@@ -77,11 +88,10 @@
     install(FILES knights.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
 endif()
 
+ki18n_install(po)
+kdoctools_install(po)
+
 feature_summary(WHAT ALL
                 INCLUDE_QUIET_PACKAGES
                 FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,11 @@
 include_directories(
     ${CMAKE_SOURCE_DIR}
     ${CMAKE_BINARY_DIR}
+)
+
+ecm_setup_version(${KNIGHTS_VERSION}
+    VARIABLE_PREFIX KNIGHTS
+    VERSION_HEADER knights_version.h
 )
 
 set(knights_SRCS
@@ -92,6 +97,6 @@
 install( PROGRAMS org.kde.knights.desktop  DESTINATION ${KDE_INSTALL_APPDIR} )
 install( FILES knights.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
 install( FILES knightsui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/knights )
-install( FILES knights.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
+install( FILES knights.knsrc  DESTINATION  ${KDE_INSTALL_DATADIR}/knsrcfiles )
 install( FILES org.kde.Knights.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
 install( FILES org.kde.knights.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== themes/CMakeLists.txt ===
install(FILES
    default.desktop
    knights.desktop
    knights.svgz
    knights.png
    plain.desktop
    plain.svgz
    plain.png
    gray.svgz
    gray.png
    xboard2.desktop
    xboard2.svgz
    xboard2.png
    east_west.desktop
    east_west.svgz
    east_west.png
    DESTINATION ${DATA_INSTALL_DIR}/knights/themes)

=== debian/changelog ===
knights (20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0
    - bump KF packages to 5.57.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Unregister the old /etc/xdg/knights.knsrc conffile.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 21:00:03 +0100

=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper-compat (= 13), pkg-kde-tools (>= 0.15.16), cmake (>= 3.5~),
 extra-cmake-modules (>= 5.57.0~),
 qtbase5-dev (>= 5.10.0~),
 libqt5svg5-dev (>= 5.10.0~),
 libqt5texttospeech5-dev (>= 5.10.0~),
 libkf5configwidgets-dev (>= 5.57.0~),
 libkf5crash-dev (>= 5.57.0~),
 libkf5dbusaddons-dev (>= 5.57.0~),
 libkf5doctools-dev (>= 5.57.0~),
 libkf5kio-dev (>= 5.57.0~),
 libkf5plasma-dev (>= 5.57.0~),
 libkf5plotting-dev (>= 5.57.0~),
 libkf5textwidgets-dev (>= 5.57.0~),
 libkf5xmlgui-dev (>= 5.57.0~),
 libkf5wallet-dev (>= 5.57.0~),
 libkf5kdegames-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/games/knights/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knights
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knights.git

Package: knights
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuchess, stockfish, sjeng
Suggests: crafty
Description: chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer.
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DKDE_INSTALL_BINDIR=/usr/games

override_dh_strip:
	dh_strip --dbgsym-migration='knights-dbg (<< 18.11.80~)'

## knights 20.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "20")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KNIGHTS_BASE_VERSION once new features are added

=== debian/changelog ===
knights (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:23:14 +0000

knights (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:56:54 +0000

=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.57.0~),
               libkf5configwidgets-dev (>= 5.57.0~),
               libkf5crash-dev (>= 5.57.0~),
               libkf5dbusaddons-dev (>= 5.57.0~),
               libkf5doctools-dev (>= 5.57.0~),
               libkf5kdegames-dev (>= 4:20.12.3~),
               libkf5kio-dev (>= 5.57.0~),
               libkf5plasma-dev (>= 5.57.0~),
               libkf5plotting-dev (>= 5.57.0~),
               libkf5textwidgets-dev (>= 5.57.0~),
               libkf5wallet-dev (>= 5.57.0~),
               libkf5xmlgui-dev (>= 5.57.0~),
               libqt5svg5-dev (>= 5.10.0~),
               libqt5texttospeech5-dev (>= 5.10.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.10.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/games/knights/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knights
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knights.git

Package: knights
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuchess, stockfish, sjeng
Suggests: crafty
Description: chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer.
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.

## knights 21.08.1

=== debian/changelog ===
knights (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:36:05 +0100

knights (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:05:05 +0100

knights (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:58:46 +0100

knights (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:35:46 +0100

knights (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:46:12 +0100

knights (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:42:59 +0100

knights (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:09:34 +0100

knights (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:39:36 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libkf5crash-dev (>= 5.57.0~),
                libkf5dbusaddons-dev (>= 5.57.0~),
                libkf5doctools-dev (>= 5.57.0~),
-               libkf5kdegames-dev (>= 4:20.12.3~),
+               libkf5kdegames-dev (>= 4:21.08.1~),
                libkf5kio-dev (>= 5.57.0~),
                libkf5plasma-dev (>= 5.57.0~),
                libkf5plotting-dev (>= 5.57.0~),

## knights 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
@@ -16,8 +16,8 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set (QT_MIN_VERSION "5.10.0")
-set (KF5_MIN_VERSION "5.57.0")
+set (QT_MIN_VERSION "5.12.0")
+set (KF5_MIN_VERSION "5.68.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
 
@@ -60,20 +60,30 @@
 
 find_package(KF5KDEGames 4.9.0 REQUIRED)
 
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+
 include(FeatureSummary)
 include(ECMAddAppIcon)
 include(ECMInstallIcons)
 include(ECMQtDeclareLoggingCategory)
-include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-include(KDECMakeSettings)
 include(ECMSetupVersion)
 
 add_definitions(
     -DQT_NO_FOREACH
     -DQT_NO_KEYWORDS
+    -DQT_NO_CAST_TO_ASCII
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
+    -DQT_STRICT_ITERATORS
     -DQT_DISABLE_DEPRECATED_BEFORE=0x050A00
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
     -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053900
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
 )
 
 add_subdirectory(doc)
@@ -82,11 +92,7 @@
 add_subdirectory(src)
 add_subdirectory(themes)
 
-if (${ECM_VERSION} STRGREATER "5.58.0")
-    install(FILES knights.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-else()
-    install(FILES knights.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
-endif()
+ecm_qt_install_logging_categories(EXPORT KNIGHTS FILE knights.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 ki18n_install(po)
 kdoctools_install(po)

=== debian/changelog ===
knights (21.12.3-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable: Remaining changes:
    - Kubuntu Vcs and maintainer.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Mar 2022 12:21:25 +0000

knights (21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop the dbgsym migration, no more needed after two Debian stable releases.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * CI: enable blhc, as it should work fine now.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 12:51:06 +0100

knights (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:13:27 +0000

knights (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:20:03 +0000

knights (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:27:53 +0000

knights (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:25:04 +0000

knights (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:09:39 +0000

knights (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:20:15 +0000

knights (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:28:04 +0000

knights (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:42:43 +0000

knights (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0)

 -- Norbert Preining <norbert@preining.info>  Tue, 17 Aug 2021 12:54:08 +0900

knights (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 14:00:20 +0900

=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               libkf5configwidgets-dev (>= 5.68.0~),
               libkf5crash-dev (>= 5.68.0~),
               libkf5dbusaddons-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5plasma-dev (>= 5.68.0~),
               libkf5plotting-dev (>= 5.68.0~),
               libkf5textwidgets-dev (>= 5.68.0~),
               libkf5wallet-dev (>= 5.68.0~),
               libkf5xmlgui-dev (>= 5.68.0~),
               libqt5svg5-dev (>= 5.12.0~),
               libqt5texttospeech5-dev (>= 5.10.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/games/knights/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knights
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knights

Package: knights
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gnuchess, sjeng, stockfish
Suggests: crafty
Description: chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer.
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.

## knights 22.08.1

=== debian/changelog ===
knights (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:42:56 +0100

knights (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:52:30 +0100

knights (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:30:08 +0100

knights (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:04:26 +0100

knights (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:03:18 +0100

knights (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:50:50 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5crash-dev (>= 5.68.0~),
                libkf5dbusaddons-dev (>= 5.68.0~),
                libkf5doctools-dev (>= 5.68.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
                libkf5kio-dev (>= 5.68.0~),
                libkf5plasma-dev (>= 5.68.0~),
                libkf5plotting-dev (>= 5.68.0~),

## knights 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
@@ -16,8 +16,8 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set (QT_MIN_VERSION "5.12.0")
-set (KF5_MIN_VERSION "5.68.0")
+set (QT_MIN_VERSION "5.15.0")
+set (KF5_MIN_VERSION "5.90.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
 
@@ -30,7 +30,9 @@
 #set(CMAKE_CXX_FLAGS_PROFILE "-fprofile-arcs -ftest-coverage -pg")
 
 include(FeatureSummary)
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
+include(KDEInstallDirs)
+
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Concurrent
    Core
    Gui
@@ -38,10 +40,10 @@
    Svg
 )
 
-find_package(Qt5TextToSpeech ${QT_REQUIRED_VERSION} QUIET)
-set_package_properties(Qt5TextToSpeech PROPERTIES
+find_package(Qt${QT_MAJOR_VERSION}TextToSpeech ${QT_REQUIRED_VERSION} QUIET)
+set_package_properties(Qt${QT_MAJOR_VERSION}TextToSpeech PROPERTIES
    PURPOSE "Speaking of opponents moves")
-if (Qt5TextToSpeech_FOUND)
+if (Qt${QT_MAJOR_VERSION}TextToSpeech_FOUND)
    add_definitions(-DHAVE_SPEECH)
 endif ()
 
@@ -58,9 +60,8 @@
   Plasma
 )
 
-find_package(KF5KDEGames 4.9.0 REQUIRED)
+find_package(KF5KDEGames 7.3.1 REQUIRED)
 
-include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
@@ -71,18 +72,13 @@
 include(ECMSetupVersion)
 
 add_definitions(
-    -DQT_NO_FOREACH
-    -DQT_NO_KEYWORDS
     -DQT_NO_CAST_TO_ASCII
     -DQT_NO_CAST_FROM_ASCII
     -DQT_NO_URL_CAST_FROM_STRING
     -DQT_NO_CAST_FROM_BYTEARRAY
-    -DQT_USE_QSTRINGBUILDER
-    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
-    -DQT_STRICT_ITERATORS
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050A00
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F02
     -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053900
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900
     -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
 )

=== debian/changelog ===
knights (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:19 +0100

knights (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:05:07 +0100

knights (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:37 +0100

=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           José Manuel Santamaría Lema <panfaust@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5kdegames-dev (>= 4:7.3.1~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5plasma-dev (>= 5.90.0~),
               libkf5plotting-dev (>= 5.90.0~),
               libkf5textwidgets-dev (>= 5.90.0~),
               libkf5wallet-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.15.0~),
               libqt5texttospeech5-dev (>= 5.10.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/games/knights/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knights
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knights.git

Package: knights
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: gnuchess, sjeng, stockfish,
Suggests: crafty,
Description: chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer.
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.

## knights 23.08.0

=== debian/changelog ===
knights (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:56:56 +0100

knights (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:36:34 +0100

knights (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:50:35 +0100

knights (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:58:49 +0100

knights (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:40:44 +0000

knights (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:20:59 -0600

knights (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:16:55 +0000

knights (22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkf5kdegames-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 12:10:09 +0000

knights (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:12:12 +0000

knights (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:08:30 +0000

knights (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:52:20 +0000

knights (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:11:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: knights
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            José Manuel Santamaría Lema <panfaust@gmail.com>,
            Norbert Preining <norbert@preining.info>,
@@ -12,7 +13,7 @@
                libkf5crash-dev (>= 5.90.0~),
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:7.3.1~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5plasma-dev (>= 5.90.0~),
                libkf5plotting-dev (>= 5.90.0~),
@@ -23,17 +24,17 @@
                libqt5texttospeech5-dev (>= 5.10.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/games/knights/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knights
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knights.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knights
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knights
 
 Package: knights
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: gnuchess, sjeng, stockfish,
-Suggests: crafty,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: gnuchess, sjeng, stockfish
+Suggests: crafty
 Description: chess interface for the KDE Platform
  Knights aims to be the ultimate chess resource on your computer.
  It's designed to be both friendly to new chess players and functional for

## knights 23.08.1

=== debian/changelog ===
knights (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:01:58 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5crash-dev (>= 5.90.0~),
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.0~),
+               libkf5kdegames-dev (>= 4:23.08.1~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5plasma-dev (>= 5.90.0~),
                libkf5plotting-dev (>= 5.90.0~),

## knights 23.08.4

=== debian/changelog ===
knights (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:18:06 +0000

knights (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:38:05 +0000

knights (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:34:03 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5crash-dev (>= 5.90.0~),
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.1~),
+               libkf5kdegames-dev (>= 4:23.08.4~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5plasma-dev (>= 5.90.0~),
                libkf5plotting-dev (>= 5.90.0~),

## knights 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KNIGHTS_BASE_VERSION once new features are added
@@ -17,9 +17,9 @@
 set(CMAKE_CXX_EXTENSIONS OFF)
 
 set (QT_MIN_VERSION "5.15.0")
-set (KF5_MIN_VERSION "5.90.0")
+set (KF_MIN_VERSION "5.90.0")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
@@ -40,6 +40,10 @@
    Svg
 )
 
+if (QT_MAJOR_VERSION STREQUAL "6")
+   find_package(Qt6Core5Compat REQUIRED)
+endif()
+
 find_package(Qt${QT_MAJOR_VERSION}TextToSpeech ${QT_REQUIRED_VERSION} QUIET)
 set_package_properties(Qt${QT_MAJOR_VERSION}TextToSpeech PROPERTIES
    PURPOSE "Speaking of opponents moves")
@@ -47,7 +51,7 @@
    add_definitions(-DHAVE_SPEECH)
 endif ()
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
   DBusAddons
   ConfigWidgets
   Crash
@@ -60,7 +64,11 @@
   Plasma
 )
 
-find_package(KF5KDEGames 7.3.1 REQUIRED)
+if (QT_MAJOR_VERSION STREQUAL "6")
+   find_package(KDEGames6 7.3.1 REQUIRED)
+else()
+   find_package(KF5KDEGames 7.3.1 REQUIRED)
+endif()
 
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)

=== sounds/CMakeLists.txt ===
install(FILES
	capture_white.ogg
	capture_black.ogg
	move_white.ogg
	move_black.ogg
	DESTINATION ${KDE_INSTALL_DATADIR}/knights/sounds)

=== src/CMakeLists.txt ===
ecm_setup_version(${KNIGHTS_VERSION}
    VARIABLE_PREFIX KNIGHTS
    VERSION_HEADER knights_version.h
)

set(knights_SRCS
    core/pos.cpp
    core/move.cpp
    core/item.cpp
    core/piece.cpp

    proto/protocol.cpp
    proto/localprotocol.cpp
    proto/textprotocol.cpp
    proto/ficsprotocol.cpp
    proto/computerprotocol.cpp
    proto/xboardprotocol.cpp
    proto/uciprotocol.cpp
    
    proto/seekgraph.cpp
    proto/chatwidget.cpp
    proto/ficsdialog.cpp
    
    rules/chessrules.cpp

    difficultydialog.cpp
    gamedialog.cpp
    offerwidget.cpp
    clock.cpp
    clockwidget.cpp
    historywidget.cpp
    enginesettings.cpp
    
    externalcontrol.cpp
    gamemanager.cpp
    
    board.cpp
    knightsview.cpp
    knights.cpp
    main.cpp
 )

ki18n_wrap_ui(knights_SRCS
    knightsview_base.ui
    prefs_base.ui
    prefs_access.ui
    gamedialog.ui
    clockwidget.ui
    historywidget.ui
    promotiondialog.ui
    proto/ficsdialog.ui
    proto/chatwidget.ui
    popup.ui
    enginesettings.ui
    customdifficultydialog.ui
)

kconfig_add_kcfg_files(knights_SRCS settings.kcfgc )
qt_add_dbus_adaptor(knights_SRCS org.kde.Knights.xml externalcontrol.h Knights::ExternalControl)
ecm_qt_declare_logging_category(knights_SRCS HEADER knightsdebug.h IDENTIFIER LOG_KNIGHTS CATEGORY_NAME log_knights DESCRIPTION "knights" EXPORT KNIGHTS)

file(GLOB ICON_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-knights.png")
ecm_add_app_icon(knights_SRCS ICONS ${ICON_SRCS})
add_executable(knights ${knights_SRCS})

if (Qt${QT_MAJOR_VERSION}TextToSpeech_FOUND)
  target_link_libraries(knights
        Qt${QT_MAJOR_VERSION}::TextToSpeech)
endif()

target_link_libraries(knights
     Qt${QT_MAJOR_VERSION}::Network
     Qt${QT_MAJOR_VERSION}::Svg
     Qt${QT_MAJOR_VERSION}::Gui
     Qt${QT_MAJOR_VERSION}::Concurrent
     KF${QT_MAJOR_VERSION}::Crash
     KF${QT_MAJOR_VERSION}::Solid
     KF${QT_MAJOR_VERSION}::WidgetsAddons
     KF${QT_MAJOR_VERSION}::DBusAddons
     KF${QT_MAJOR_VERSION}::XmlGui
     KF${QT_MAJOR_VERSION}::Plotting
     KF${QT_MAJOR_VERSION}::Plasma
     KF${QT_MAJOR_VERSION}::Completion
     KF${QT_MAJOR_VERSION}::TextWidgets
     KF${QT_MAJOR_VERSION}::Wallet
)

if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(knights Qt6::Core5Compat KDEGames6)
else()
    target_link_libraries(knights KF5KDEGames)
endif()

install(TARGETS knights ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( PROGRAMS org.kde.knights.desktop  DESTINATION ${KDE_INSTALL_APPDIR} )
install( FILES knights.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
install( FILES knightsui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUIDIR}/knights )
install( FILES knights.knsrc  DESTINATION  ${KDE_INSTALL_DATADIR}/knsrcfiles )
install( FILES org.kde.Knights.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} )
install( FILES org.kde.knights.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== debian/changelog ===
knights (23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:46:43 +1100

knights (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:35:03 +1100

knights (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:10:07 +0000

knights (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:08:12 -0700

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5crash-dev (>= 5.90.0~),
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.4~),
+               libkf5kdegames-dev (>= 4:23.08.5~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5plasma-dev (>= 5.90.0~),
                libkf5plotting-dev (>= 5.90.0~),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DKDE_INSTALL_BINDIR=/usr/games

## knights 24.08.2

=== debian/changelog ===
knights (24.08.2-1ubuntu1) plucky; urgency=medium

  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 13:17:33 +0000

knights (24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Nov 2024 01:13:34 -0500

=== debian/control ===
Source: knights
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           José Manuel Santamaría Lema <panfaust@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               libkdegames6-dev,
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6plotting-dev (>= 6.0.0~),
               libkf6svg-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libplasma-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-speech-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/games/knights/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knights
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knights

Package: knights
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: gnuchess, sjeng, stockfish,
Suggests: crafty,
Description: chess interface for the KDE Platform
 Knights aims to be the ultimate chess resource on your computer.
 It's designed to be both friendly to new chess players and functional for
 Grand Masters. At the moment you can play either against other human or
 against the machine using an engine like gnuchess.
